summaryrefslogtreecommitdiffstats
path: root/plugins/glusterpmd
diff options
context:
space:
mode:
authorTimothy Asir <tjeyasin@redhat.com>2014-04-29 18:28:14 +0530
committerSahina Bose <sabose@redhat.com>2014-05-02 06:16:03 -0700
commitd646c986a3ba54570c9a0d367d106deeb0a80e38 (patch)
treeb721ee3b3d1b9f53e10ac417b77f5040a6e2a9bb /plugins/glusterpmd
parentccec0742af257e13effafa30a1184541c3cf5b65 (diff)
Run check gluster process status as a daemon
Enhanced to send specific gluster related process status only when there is a change detected in a service status or for any critical status to avoid too many logs in the nagios service side. Change-Id: I26e389ae2d1ccba1b5ccadc45d202d3b5219c74a Signed-off-by: Timothy Asir <tjeyasin@redhat.com> Reviewed-on: http://review.gluster.org/7602 Reviewed-by: Sahina Bose <sabose@redhat.com> Tested-by: Timothy Asir <tim.gluster@gmail.com>
Diffstat (limited to 'plugins/glusterpmd')
-rwxr-xr-xplugins/glusterpmd63
1 files changed, 63 insertions, 0 deletions
diff --git a/plugins/glusterpmd b/plugins/glusterpmd
new file mode 100755
index 0000000..383057e
--- /dev/null
+++ b/plugins/glusterpmd
@@ -0,0 +1,63 @@
+#! /bin/sh
+# glusterpmd Start/Stop the gluster process monitoring daemon.
+#
+# chkconfig: 2345 90 60
+# description: Monitor gluster related processes and send
+# details to nagios server whenever any changes
+# observed in those services.
+#
+# Copyright (C) 2014 Red Hat Inc
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
+#
+
+BASE=glusterpmd
+
+# Fedora File System Layout dictates /run
+[ -e /run ] && RUNDIR="/run"
+PIDFILE="${RUNDIR:-/var/run}/${BASE}.pid"
+
+PID=`test -f $PIDFILE && cat $PIDFILE`
+
+case "$1" in
+ start)
+ if [ -f $PIDFILE ]; then
+ echo "glusterpmd service is already running with pid $PID"
+ else
+ echo "Starting gluster process monitoring service"
+ python /usr/lib64/nagios/plugins/gluster/check_proc_status.py start
+ fi
+ ;;
+ stop)
+ if [ -f $PIDFILE ]; then
+ echo "Stopping gluster process monitoring service"
+ python /usr/lib64/nagios/plugins/gluster/check_proc_status.py stop
+ fi
+ ;;
+ restart)
+ if [ -f $PIDFILE ]; then
+ echo "Restarting gluster process monitoring service"
+ python /usr/lib64/nagios/plugins/gluster/check_proc_status.py restart
+ else
+ python /usr/lib64/nagios/plugins/gluster/check_proc_status.py start
+ fi
+ ;;
+ *)
+ echo "Usage: /etc/init.d/glusterpmd {start|stop|restart}"
+ exit 1
+ ;;
+esac
+
+exit 0